/* 
:root {
    --box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12),
      0 1px 2px rgba(0, 0, 0, 0.24);
  }
  
  * {
    box-sizing: border-box;
  }
  
  body {
    background-color: #f7f7f7;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont,
      "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell,
      "Open Sans", "Helvetica Neue", sans-serif;
  }
  
  .container {
    margin: 30px auto;
    width: 350px;
  }
  
  h1 {
    letter-spacing: 1px;
    margin: 0;
  }
  
  h3 {
    border-bottom: 1px solid #bbb;
    padding-bottom: 10px;
    margin: 40px 0 10px;
  }
  
  h4 {
    margin: 0;
    text-transform: uppercase;
  }
  
  .inc-exp-container {
    background-color: #fff;
    box-shadow: var(--box--shadow);
    padding: 20px;
    display: flex;
    justify-content: center;
    margin: 20px 0;
  }
  
  .inc-exp-container > div {
    flex: 1;
    text-align: center;
  }
  
  .inc-exp-container > div:first-of-type {
    border-right: 1px solid #dedede;
  }
  
  .money {
    font-size: 2;
    letter-spacing: 1px;
    margin: 5px 0;
  }
  .money-plus {
    color: #2ecc71;
  }
  
  .money-minus {
    color: #c0392b;
  }
  
  label {
    display: inline-block;
    margin: 10px 0;
  }
  
  input[type="text"],
  input[type="number"] {
    border: 1px solid #dedede;
    border-radius: 2px;
    display: block;
    font-size: 16px;
    padding: 10px;
    width: 100%;
  }
  
  .btn {
    cursor: pointer;
    background-color: #9c88ff;
    box-shadow: var(--box-shadow);
    color: #fff;
    border: 0;
    display: block;
    font-size: 16px;
    margin: 10px 0 30px;
    padding: 10px;
    width: 100%;
  }
  
  .btn:focus,
  .delete-btn:focus {
    outline: 0;
  }
  
  .list {
    list-style-type: none;
    padding: 0;
    margin-bottom: 40px;
  }
  
  .list li {
    background-color: #fff;
    box-shadow: var(--box--shadow);
    color: #333;
    display: flex;
    justify-content: space-between;
    position: relative;
    padding: 10px;
    margin: 10px 0;
  }
  
  .list li.plus {
    border-right: 5px solid #2ecc71;
  }
  
  .list li.minus {
    border-right: 5px solid #c0392b;
  }
  
  .delete-btn {
    cursor: pointer;
    background-color: #e74c3c;
    border: 0;
    color: #fff;
    font-size: 20px;
    line-height: 20px;
    padding: 2px 5px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(-100%, -50%);
    opacity: 0;
    transition: opacity 0.3s ease;
  }
  
  .list li:hover .delete-btn {
    opacity: 1;
  } */

  
@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Text&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.header,
.footer{
    padding: 20px;
    text-align: center;
    background-color: #8d1c89;
    color: whitesmoke;
    font-family: 'Red Hat Text', sans-serif;
}


.main{
    flex-grow: 1;
    display: flex;
    font-family: 'Raleway', sans-serif;
}


.container {
    width: 90%;
    max-width: 1024px;
    margin: 20px auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-self: center;
}

.top_card{
    background-color: #0b2d1d;
    color: white;
    padding: 10px 20px;
    min-width: 400px;
}


.top_card p{
    color: #d6d6d6;
    margin-bottom: 5px;
    font-size: 0.8rem;
}

.top_card h3{
    font-size: 2rem;
}

.form{
    background-color: #d4d4d4;
    padding: 20px;
    width: 400px;
}

.form-group {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 10px;
    margin-top:10px;
    margin-bottom: 10px;
}

.radio {
    grid-template-columns: 1fr 1fr 1fr;
}

input{
    padding: 5px 10px;
}

.btn{
    width:100%;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 10px;
    background-color: #1C8D73;
    color: white;
    transition: background-color 0.3s ease;
}

.btn:hover{
    background-color: #094d3d;
}


ul {
    list-style: none;
    width: 400px;
}

label{
    display: block;
    align-self: center;
}


.radio_group{
    display: flex;
    align-items: center;
    gap: 5px;
}

.transaction{
    margin: 10px 0;
    color: white;
    padding: 10px 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.income{
    background-color: #1C8D73;
}

.expence{
    background-color: #E6425E;
}

.transaction .right{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.link{
    background: none;
    color: white;
    cursor: pointer;
    outline: none;
    border: none;
    transition: color 0.3s ease;
}

.link:hover{
    color: #d1f3ff;
}

.right p {
    font-size: 1.3rem;
}

.red {
    background-color:#E6425E !important;
}

#cancel_edit{
    display: none;
    margin-top: 10px;
    background-color:#E6425E !important;
}

#cancel_edit:hover{
    background-color:#9e1028 !important;
}

.second_heading{
    margin-top: 10px;
    text-align: left;
}

@media (max-width: 450px) {
    .top_card, .form{
        min-width: 90%;
        width: 90%;
    }

    .form-group{
        display: flex;
        flex-direction: column;
        justify-content: left;
        align-items: stretch;
    }

    label{
        align-self: flex-start;
        margin-bottom: 5px;
    }

    .conatiner_of_list_of_transactions{
        width: 90vw;
    }

    ul{
        width: 90vw;
    }

    .transaction{
        width: 90%;
        margin: 10px auto;
        
    }

    *{
        font-size: 95% !important;
    }
}